% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/lgcpRaster.R
\name{spatialAtRisk.RasterLayer}
\alias{spatialAtRisk.RasterLayer}
\title{Convert rasters to lgcp objects}
\usage{
spatialAtRisk.RasterLayer(X, ...)
}
\arguments{
\item{X}{an object of class \code{\link[raster]{RasterLayer-class}}}

\item{...}{not used}
}
\value{
A \code{fromXYZ} object produced by 
\code{\link[lgcp]{spatialAtRisk}}
}
\description{
Convert a RasterLayer to spatialAtRisk
}
\examples{
library('raster')
x = raster(matrix(1:12, 4,3,byrow=TRUE))/100
sum(values(x))*prod(res(x))
par(mfrow=c(1,2))
plot(x)
\dontrun{
library('lgcp')
x2 = spatialAtRisk(x)
sum(x2$Zm)*prod(res(x))
plot(x2)
}
}
